fpm2(1)

NAME
fpm2 - Figaro's Password Manager 2

DESCRIPTION
fpm2 is a GUI password manager using the GTK2 libraries. Passwords are encrypted using the AES-256 algorithm.

OPTIONS

-f filename
    Use a different file to store fpm data. Must include directory where file is stored.

-t  Start fpm2 hidden in tray. No ask for password on startup.

USAGE

launchers
    Arbitrary launchers can be defined, in order to automatically launch progammes with parameters from the password entry, eg:

    xterm -title $u@$a -e ssh -X $a -l $u.

    Possible variables are:

    $a - an arbitrary argument associated with the password entry - typically a hostname.

    $u - the username associated with the password entry

    $p - the password associated with the password entry

on-the-fly categories
    Each password entry can belong to a category, which is generated just by naming it in at least one entry.

password generation
    fpm2 will generate passwords for you. Up to 24 characters with a boolean choices for lowercase, uppercase, numbers, symbols and ambigous characters (eg. `O` and `0`).

SECURITY
Using the $p variable means that your password ends up in .bash_history in addition to being visible by ps aux!

In order to work around this problem conveniently fpm2 can have your password copied to your primary selection, so that you may easily paste it where needed. Then your password should be as secured as your transport.

COPYRIGHT
GNU GPL (GNU GENERAL PUBLIC LICENSE) Version 2, or (at your option) any later version.

The licence text is available on any Debian GNU/Linux system in /usr/share/common-licenses/GPL

AUTHOR
John Conneely <jconneely@figaro.org>
Aleš Koval <als@regnet.cz>

This manual page was written by Lars Bahner <bahner@debian.org> for the Debian GNU/Linux system.